Subject: bug#47448: lualatex doesn't find libzzip-0.so.13 (easy bug?)

From: Sergiu Ivanov <[email-masked]>
Date: Sun, 28 Mar 2021 16:31:39 +0200

Hello Andreas,

Thus quoth  Andreas Enge  on Sun Mar 28 2021 at 12:29 (+0200):
> Hello Sergiu,
>
> Am Sat, Mar 27, 2021 at 08:22:30PM +0100 schrieb Sergiu Ivanov:
>> I have trouble running lualatex from the TeX Live distribution (package
>> texlive) :
>> $ lualatex
>> /home/scolobb/.guix-profile/bin/lualatex: error while loading shared libraries: libzzip-0.so.13: cannot open shared object file: No such file or directory
>
> I confirm the bug, and am forwarding it to the bugtracker.

Thank you!

> lualatex is a wrapped binary, and the following shows the problem:
> $ ldd $(guix build texlive-bin)/bin/luatex
> ...
> 	libzzip-0.so.13 => not found
>
>> I installed the zziplib package which brings in libzzip.so.13, but not
>> libzzip-0.so.13.
>
> Indeed this seems to be the problem, and I suspect it is happening in the
> zziplib package. Its version is 0.13.72, but the soname versions are
> 13.0.72, which already suggests that there is some
> confusion happening.

Ah, I didn't even think to check the zziplib package.

> Regardless, part of the version number should not appear before the "so"
> in libzzip-0.so.13.

Yeah, that looks weird indeed.

> Hm, the following looks correct, issued from a profile containing zziplib:
> $ pkg-config --libs zziplib
> -L/gnu/store/fx0cdzzppd8jc09sianbq6gl1h7mxx3x-zziplib-0.13.72/lib -L/gnu/store/rykm237xkmq7rl1p0nwass01p090p88x-zlib-1.2.11/lib -lzzip -lz
>
> So it might be a problem with texlive-bin instead.

Oh, thank you for these ideas!

TeX Live packages kind of scare me a little, because they tend to be
complex (at least from my modest Nix experience).  I do plan to do some
small contributions to Guix packages soon, which should get me started
with the workflow, and help me fix such issues directly in the future.

-
Sergiu